"""
#/**********************************************************************************
#* Copyright (C) 2017-2020 by KEYARK, INC. - All Rights Reserved.
#* All information contained herein is proprietary and confidential to KEYARK, INC.
#* Any use, reproduction, or disclosure without the written
#* permission of KEYARK, INC. is prohibited.
#* Written by Natalia Belyaeva <nbelyaeva@keyark.com>
#***********************************************************************************/
"""

class AS:

    def __init__(self, params: dict):
        self._as_params = params

    def create_keysql_params(self):
        return self.make_dict_arg(self._as_params)

    def make_dict_arg(self, arg) -> str:

        if type(arg) == str:
            return arg
        r = ""
        if type(arg) == dict:
            for key, value in arg.items():
                if r != "":
                    r += ","
                r += self.make_dict_arg(value)
                r += " AS "
                r += str(key)
        elif type(arg) == list:
            r = "{"
            for x in arg:
                if r != "{":
                    r += ","
                r += x
            r += "}"
        return r

if __name__ == "__main__":
    pass
