#/**********************************************************************************
#* Copyright (C) 2017-2020 by KEYARK, INC. - All Rights Reserved.
#* All information contained herein is proprietary and confidential to KEYARK, INC.
#* Any use, reproduction, or disclosure without the written
#* permission of KEYARK, INC. is prohibited.
#* Written by Natalia Belyaeva <nbelyaeva@keyark.com>
#***********************************************************************************/
import logging
from typing import List
from keysql_client.keysql_statement import KeySqlStatement

# TODO: not implemented in server code Not callable yet
class KeySqlRevokeStatement(KeySqlStatement):
    """Revoke Statement
    String query equivalent:
    'revoke ... on schema <> from user <>'
    """

    def __init__(self) -> None:
        """
        :param no
        """
        #_revoke_str = revoke_str
        pass

    def create_request(self, reply: str) -> str:
        return reply

    def process_reply(self, reply: str, header=None) -> None:
        # nothing to process - input is ''
        return reply


if __name__ == "__main__":
    grant_to_user = KeySqlRevokeStatement('revoke all from user ttt')
