"""
#/**********************************************************************************
#* Copyright (C) 2017-2020 by KEYARK, INC. - All Rights Reserved.
#* All information contained herein is proprietary and confidential to KEYARK, INC.
#* Any use, reproduction, or disclosure without the written
#* permission of KEYARK, INC. is prohibited.
#* Written by Natalia Belyaeva <nbelyaeva@keyark.com>
#***********************************************************************************/
"""

from abc import ABC, abstractmethod
class KeySqlStatement():
    def __init__(self):
        pass

    @abstractmethod
    def create_request(self):
        pass

    @abstractmethod
    def process_reply(self, reply, header):
        #return reply
        return header["instance_count"] if header else reply