# setup.py
from setuptools import setup
from setuptools import find_packages


REQUIRED_PACKAGES = [
    'python>=3.5',
    #'ssl'
]
setup(
    name='keysql_python_client',
    version='0.0.1',
    scripts=[
        'key_object.py',
        'key_object_statement.py',
        'key_sql_default_values.py',
        'keysql_builder.py',
        'keysql_catalog.py',
        'keysql_catalog_statement.py',
        'keysql_connection.py',
        'keysql_connector.py',
        'keysql_delete.py',
        'keysql_exception.py',
        'keysql_insert',
        'keysql_instance.py',
        'keysql_mapper.py',
        'keysql_params.py',
        'keysql_parser.py',
        'keysql_reply_statement.py',
        'keysql_select.py',
        'keysql_statement.py',
        'keysql_store.py',
        'keysql_store_delete.py',
        'keysql_store_statement.py',
        'keysql_update.py'
             ],

    #packages=['keysql_client'],
    #url='https://keyark.com',
    author='keyark',
    author_email='nbelyaeva@keyark.com',
    description='keysql python driver',
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    #install_requires=REQUIRED_PACKAGES,
    zip_safe=False
)
